Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class Expression.Util

    java.lang.Object
      com.hp.hpl.jena.graph.query.Expression.Util

Enclosing interface:
  Expression

    public static class Expression.Util

extends java.lang.Object

Utility methods for Expressions, captured in a class because they can't be written directly in the interface.

Constructor Summary
`Expression.Util()`

Method Summary
`static java.util.Set` | `addVariablesOf(java.util.Set s, Expression e)` Add all the variables of `e` to `s`, and answer `s`.
`static boolean` | `containsAllVariablesOf(java.util.Set variables, Expression e)`
`static boolean` | `equals(Expression L, Expression R)`
`static boolean` | `sameApply(Expression L, Expression R)`
`static boolean` | `sameArgs(Expression L, Expression R)`
`static java.util.Set` | `variablesOf(Expression e)` Answer a set containing exactly the names of variables within `e`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expression.Util

    public Expression.Util()

Method Detail

### variablesOf

    public static java.util.Set variablesOf(Expression e)

  Answer a set containing exactly the names of variables within `e`.

### addVariablesOf

    public static java.util.Set addVariablesOf(java.util.Set s,
                                               Expression e)

  Add all the variables of `e` to `s`, and answer `s`.

### containsAllVariablesOf

    public static boolean containsAllVariablesOf(java.util.Set variables,
                                                 Expression e)

### equals

    public static boolean equals(Expression L,
                                 Expression R)

### sameApply

    public static boolean sameApply(Expression L,
                                    Expression R)

### sameArgs

    public static boolean sameArgs(Expression L,
                                   Expression R)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP